Bug 1253076 - Do not install bash completion for python executables
Summary: Do not install bash completion for python executables
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-django
Version: rawhide
Hardware: All
OS: All
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-12 22:03 UTC by Ville Skyttä
Modified: 2015-11-19 10:01 UTC (History)
6 users (show)

Fixed In Version: python-django-1.8.6-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 10:01:46 UTC


Attachments (Terms of Use)
Do not install bash completion for python executables (4.18 KB, patch)
2015-08-12 22:03 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2015-08-12 22:03:56 UTC
Loading the django completion causes django specific completions for
generic python executables to be loaded as well. They're not as
desirable as the ones shipped with bash-completion, but them being
loaded prevents the bash-completion ones from loading.

'git am'able fix attached, let me know if you'd like me to push and
build this for devel.

Comment 1 Ville Skyttä 2015-08-12 22:03:59 UTC
Created attachment 1062283 [details]
Do not install bash completion for python executables

Comment 2 Matthias Runge 2015-08-13 13:34:32 UTC
Thank you!

I have the feeling of a 1.8.4 coming in the next few days. Will pull this in then. If you want this fixed earlier, please just go ahead and push it directly.

Comment 3 Ville Skyttä 2015-08-14 07:19:28 UTC
Nah, it's not that urgent. But it's possible that my patch won't apply as is to later versions than 1.8.3, I've submitted some bash completion cleanups upstream which have been merged but I don't know if they're merged also in the 1.8 line. Anyway the essence of the fix is to remove everything from _python_django_completion() onwards from extras/django_bash_completion (this is still required after my upstream cleanups).

Comment 4 Fedora Update System 2015-08-20 12:31:03 UTC
python-django-1.8.4-1.fc23 has been submitted as an update to Fedora 23. https://bugzilla.redhat.com/show_bug.cgi?id=1253076

Comment 5 Fedora Update System 2015-08-20 19:21:28 UTC
python-django-1.8.4-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update python-django'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/F23/FEDORA-2015-13824

Comment 6 Fedora Update System 2015-11-02 09:48:14 UTC
python-django-1.8.5-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-66d4519450

Comment 7 Fedora Update System 2015-11-03 00:24:31 UTC
python-django-1.8.5-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-django'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-66d4519450

Comment 8 Fedora Update System 2015-11-05 13:46:48 UTC
python-django-1.8.6-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1dd5bc998f

Comment 9 Fedora Update System 2015-11-06 02:34:57 UTC
python-django-1.8.6-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-django'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1dd5bc998f

Comment 10 Fedora Update System 2015-11-19 10:00:34 UTC
python-django-1.8.6-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.